### Method

# Gtk Filter get_strictness

#### Declaration [src]

    GtkFilterMatch
    gtk_filter_get_strictness (
      GtkFilter* self
    )

#### Description [src]

Gets the known strictness of a filter.

If the strictness is not known, `GTK_FILTER_MATCH_SOME` is returned.

This value may change after emission of the `GtkFilter::changed` signal.

This function is meant purely for optimization purposes. Filters can choose to omit implementing it, but `GtkFilterListModel` uses it.

#### Return value

Type: `GtkFilterMatch`

The strictness of `self`.